
body {
    height: calc(100* var(--vh)) ;
    width: calc(100* var(--vw));
}

button {
    cursor: pointer;
}

.allBlock {
    display: flex;
    grid-template-columns: 4fr 1fr 1fr;
    height: 100%;

}

.allProg {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.allBlock:not(.emi) iframe, .allBlock.emi #progWithFilters {
    display: none;
}

.allBlock.emi iframe {
    flex:3;
    border: none;
    padding-left: 21px;
}

.blockEvent,
.blockEmission,
.blockProg {
    height: 100%;
    overflow: hidden;
    flex: 1;
        display: flex;
    flex-direction: column;
}

.blockProg {
padding-left: 30px;
overflow-y: auto;
}

.length {
        max-height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
}

.blockEvent {}

.blockEmission {}

.blockProg {
	flex: 3;
}

.categories button,
.cat {
    position: relative;
    background: transparent;
    border: none;
    font-family: 'SuisseIntlMono';
    font-size: 15px;
    width: max-content;
    color: #4f65f7;
    font-weight: normal;
    -webkit-text-stroke: 0px;
}

.cat {
    padding: 0px 5px;
    display: inline-flex;
    margin: 0.1vw;
}

.categories button svg,
.cat svg {
    position: absolute;
    transform: scale(1.15) translate(-2px, 1px);
    z-index: -1;
}

.categories button svg path, .cat svg path {
    stroke: #4f65f7 !important;
    stroke-width: 1px;
}

.categories {
    text-align: left;
    margin: 4px;
}

body[title="emissions"] .pagecontent,
body[title="emissions"] .content {
    max-width: unset !important;
    overflow-y: hidden !important;
    height: 100% !important;
}

.block {
    background: transparent;
    border: none;
    font-family: 'PrestigeElite';
    width: 100%;
    color: #4f65f7 !important;
    -webkit-text-stroke: 0.5px;
    padding: 0 10px;
    height: max-content;
}

.block.choose {
    display: flex;
    flex-direction: row;
}

.block.choose img {
    width: 50%;
}

.blockEvent .block, .blockEmission .block {
    padding: 0px 10px;
    padding-top: 15px;
}

.blockEvent h2, .blockEmission h2 {
    padding:10px;
}

.titleBlock {
    text-align: left;
    font-family: 'PrestigeElite';
    font-size: clamp(1.15vw, 16px, 4rem);
    padding-bottom: 0.75vw;
}


.block img {
    width: 100%;
    object-fit: cover;
    filter: saturate(0%);
    aspect-ratio: 16 / 9;
    transition: animation 0.5s;
}

.block img.progr {
    aspect-ratio: 1 / 1;
} 

.block:hover img {
    filter: saturate(100%);
}

.block:hover svg {
    animation: none;
}

.hourBlock,
.title,
.authorBlock {
    text-align: left;
    font-size: 15px;
}

.block .title {
    font-size: clamp(1.15vw, 16px, 4rem);
}

.content {
	margin: 0px;
    padding-right: 20px;
}

.e1571fcf-c624-4acc-ac7b-34ab0a0cbc90 {
    stroke:url(#my-cool-gradient) #447799 !important;
}

.block.actif img {
    filter: unset;
} 



@media screen and (max-width: 1050px) {

    .allBlock {
        grid-template-columns: 3fr 1fr 1fr;
    }

    .blockProg {
    	flex: 1;
    }

}
    @media screen and (max-width: 980px) {

        .allBlock, .allProg {
        	display: grid;
            grid-template-columns: 1fr;
            height: unset;
            padding-bottom: 50px;

        }

        .blockEvent,
.blockEmission,
.blockProg { 
height: max-content;
            padding: 0px 20px;
padding-top: 15px;
}

body[title="emissions"] .pagecontent {
	overflow-y: auto !important;
}

.b026fb91-7f08-4621-a46b-f5776a945c35 {
    display: block;
    height: 2px;
        background-image: -webkit-linear-gradient(left, #e649ff, #4f65f7);
    background-image: -moz-linear-gradient(left, #e649ff, #4f65f7);
    background-image: -ms-linear-gradient(left, #e649ff, #4f65f7);
    background-image: -o-linear-gradient(left, #e649ff, #4f65f7);
    background-image: linear-gradient(to right, #e649ff, #4f65f7);
    width: 100%;
}

.content {
	margin: 0px;
}  

.categories button {
        font-size: 18px;
        margin-right: 15px;
    }

    .categories button svg
{
    transform: scale(1.3) translate(0px, 5px);
}

    .categories button svg path
{
 stroke-width: 1px !important; 
}

.cat {
    margin: 0.1vw 10px;
}

   .cat svg
{
    transform: scale(1.3) translate(0px, 4px);
}


.block img {
}

.allBlock h2 {
    padding-left: 10px;
}


.allBlock.emi iframe {
    width: 100%;
        height: calc(100* var(--vh)) ;
}

.allProg.emi {
    grid-template-columns: 1fr 1fr 1fr;
}
    
}


